/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { BollingerBandWidthIndicatorStrategy } from "./BollingerBandWidthIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core";
/**
 * @hidden
 */
export let BollingerBandWidthIndicator = /*@__PURE__*/ (() => {
    class BollingerBandWidthIndicator extends StrategyBasedIndicator {
        bc() {
            return new BollingerBandWidthIndicator();
        }
        get_y0() {
            return new BollingerBandWidthIndicatorStrategy();
        }
        get y0() {
            return this.get_y0();
        }
        get_zd() {
            return BollingerBandWidthIndicator.$;
        }
        get zd() {
            return this.get_zd();
        }
        get zm() {
            return typeGetValue(this.c(BollingerBandWidthIndicator.zp));
        }
        set zm(a) {
            this.h(BollingerBandWidthIndicator.zp, a);
        }
        y6() {
            return this.zm;
        }
        get zl() {
            return this.c(BollingerBandWidthIndicator.zo);
        }
        set zl(a) {
            this.h(BollingerBandWidthIndicator.zo, a);
        }
        y4() {
            return this.zl;
        }
    }
    BollingerBandWidthIndicator.$t = /*@__PURE__*/ markType(BollingerBandWidthIndicator, 'BollingerBandWidthIndicator', StrategyBasedIndicator.$);
    BollingerBandWidthIndicator.zp = /*@__PURE__*/ StrategyBasedIndicator.zi(20, BollingerBandWidthIndicator.$);
    BollingerBandWidthIndicator.zo = /*@__PURE__*/ StrategyBasedIndicator.zh(2, BollingerBandWidthIndicator.$);
    return BollingerBandWidthIndicator;
})();
